// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.3.0
// - protoc             v4.24.2
// source: boter/v1/api.proto

package boterpb

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

const (
	BoterService_SampleMethod_FullMethodName = "/proto.service.boter.v1.BoterService/SampleMethod"
)

// BoterServiceClient is the client API for BoterService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type BoterServiceClient interface {
	// Получить информацию о сотруднике по его ID
	SampleMethod(ctx context.Context, in *SamplemessageRequest, opts ...grpc.CallOption) (*SamplemessageResponse, error)
}

type boterServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewBoterServiceClient(cc grpc.ClientConnInterface) BoterServiceClient {
	return &boterServiceClient{cc}
}

func (c *boterServiceClient) SampleMethod(ctx context.Context, in *SamplemessageRequest, opts ...grpc.CallOption) (*SamplemessageResponse, error) {
	out := new(SamplemessageResponse)
	err := c.cc.Invoke(ctx, BoterService_SampleMethod_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// BoterServiceServer is the server API for BoterService service.
// All implementations must embed UnimplementedBoterServiceServer
// for forward compatibility
type BoterServiceServer interface {
	// Получить информацию о сотруднике по его ID
	SampleMethod(context.Context, *SamplemessageRequest) (*SamplemessageResponse, error)
	mustEmbedUnimplementedBoterServiceServer()
}

// UnimplementedBoterServiceServer must be embedded to have forward compatible implementations.
type UnimplementedBoterServiceServer struct {
}

func (UnimplementedBoterServiceServer) SampleMethod(context.Context, *SamplemessageRequest) (*SamplemessageResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SampleMethod not implemented")
}
func (UnimplementedBoterServiceServer) mustEmbedUnimplementedBoterServiceServer() {}

// UnsafeBoterServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to BoterServiceServer will
// result in compilation errors.
type UnsafeBoterServiceServer interface {
	mustEmbedUnimplementedBoterServiceServer()
}

func RegisterBoterServiceServer(s grpc.ServiceRegistrar, srv BoterServiceServer) {
	s.RegisterService(&BoterService_ServiceDesc, srv)
}

func _BoterService_SampleMethod_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SamplemessageRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BoterServiceServer).SampleMethod(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: BoterService_SampleMethod_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BoterServiceServer).SampleMethod(ctx, req.(*SamplemessageRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// BoterService_ServiceDesc is the grpc.ServiceDesc for BoterService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var BoterService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "proto.service.boter.v1.BoterService",
	HandlerType: (*BoterServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SampleMethod",
			Handler:    _BoterService_SampleMethod_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "boter/v1/api.proto",
}
